Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function
Interface MetaABMFunctionFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MetaABMFunctionFactoryImpl

    public interface MetaABMFunctionFactory

extends org.eclipse.emf.ecore.EFactory

Field Summary
`static MetaABMFunctionFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`FArgumentArrayPrototype` | `createFArgumentArrayPrototype()` Returns a new object of class 'FArgument Array Prototype'.
`FArgumentPrototype` | `createFArgumentPrototype()` Returns a new object of class 'FArgument Prototype'.
`FGenericFunction` | `createFGenericFunction()` Returns a new object of class 'FGeneric Function'.
`FGenericLogical` | `createFGenericLogical()` Returns a new object of class 'FGeneric Logical'.
`FImplementedLibrary` | `createFImplementedLibrary()` Returns a new object of class 'FImplemented Library'.
`FLibrary` | `createFLibrary()` Returns a new object of class 'FLibrary'.
`FLogicalOperator` | `createFLogicalOperator()` Returns a new object of class 'FLogical Operator'.
`FMultiArgumentPrototype` | `createFMultiArgumentPrototype()` Returns a new object of class 'FMulti Argument Prototype'.
`FOperator` | `createFOperator()` Returns a new object of class 'FOperator'.
`MetaABMFunctionPackage` | `getMetaABMFunctionPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final MetaABMFunctionFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createFArgumentPrototype

    FArgumentPrototype createFArgumentPrototype()

  Returns a new object of class 'FArgument Prototype'.

  Returns:
    a new object of class 'FArgument Prototype'.

### createFOperator

    FOperator createFOperator()

  Returns a new object of class 'FOperator'.

  Returns:
    a new object of class 'FOperator'.

### createFLogicalOperator

    FLogicalOperator createFLogicalOperator()

  Returns a new object of class 'FLogical Operator'.

  Returns:
    a new object of class 'FLogical Operator'.

### createFGenericFunction

    FGenericFunction createFGenericFunction()

  Returns a new object of class 'FGeneric Function'.

  Returns:
    a new object of class 'FGeneric Function'.

### createFGenericLogical

    FGenericLogical createFGenericLogical()

  Returns a new object of class 'FGeneric Logical'.

  Returns:
    a new object of class 'FGeneric Logical'.

### createFLibrary

    FLibrary createFLibrary()

  Returns a new object of class 'FLibrary'.

  Returns:
    a new object of class 'FLibrary'.

### createFImplementedLibrary

    FImplementedLibrary createFImplementedLibrary()

  Returns a new object of class 'FImplemented Library'.

  Returns:
    a new object of class 'FImplemented Library'.

### createFMultiArgumentPrototype

    FMultiArgumentPrototype createFMultiArgumentPrototype()

  Returns a new object of class 'FMulti Argument Prototype'.

  Returns:
    a new object of class 'FMulti Argument Prototype'.

### getMetaABMFunctionPackage

    MetaABMFunctionPackage getMetaABMFunctionPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

### createFArgumentArrayPrototype

    FArgumentArrayPrototype createFArgumentArrayPrototype()

  Returns a new object of class 'FArgument Array Prototype'.

  Returns:
    a new object of class 'FArgument Array Prototype'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD